# -*- coding: utf-8 -*-
"""Created on Mon Sep 18 09:00:00 2023"""
__author__ = "Trygve B. Nomeland"
__email__ = "trygve.borte.nomeland@nmbu.no"

from math import exp, isclose

def N(t, B=50000, C=9, k=0.2):
    return B/(1+C*(exp(-k*t)))

def main():
    print(f'b) Populasjon eter 24 timer, N(24): {N(24)}')
    for t in range(500):
        if isclose((N(t)), 50000*0.9, rel_tol=0.01):
            print(f'c) N er omtrent 90% av B når t er {t}')

if __name__ == "__main__":
    main()

"""
a) C = 9
b) Populasjon eter 24 timer, N(24): 46552,00
c) N er omtrent 90% av B når t er 22
"""